import { Selector, createSelector } from '@ngrx/store';
import { StatusBulkInfo } from '@ucap-webmessenger/protocol-status';
import { EntityState, createEntityAdapter } from '@ngrx/entity';
import { MainMenu } from '@app/types';

export interface State {
  gnbMenuIndex: MainMenu;
  organizationTreeActivated: boolean;
}

export const initialState: State = {
  gnbMenuIndex: MainMenu.Group,
  organizationTreeActivated: false
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    gnbMenuIndex: createSelector(
      selector,
      (state: State) => state.gnbMenuIndex
    ),
    organizationTreeActivated: createSelector(
      selector,
      (state: State) => state.organizationTreeActivated
    )
  };
}
